Notes:
------
+ Added
- Deleted
x Correction

Version 26.08, 2026-08-27
-------------
+ C2PA read and write
+ Apple Silicon native support

Version 25.04, 2025-04-30
-------------
+ Apply imported core to already opened files
+ Add ISO8859-1 as fallback encoding when reading core file
x Fix "Restore defaults" button in preferences dialog

Version 25.03, 2025-03-13
-------------
+ Show errors in popup instead in switching view
+ Default value option for core fields
+ Improve compatibilty with CSV exported from spreadsheets
+ Peek reference and description from filename

Version 24.10, 2024-11-04
-------------
+ Add file creation and last modification date to technical output
+ Add IDIT field in LIST-INFO
x Fix crash or hang in some cases
x Generate MD5 in separate thread
x Generate data MD5 only when necessary
x Avoid recomputing data MD5 after file save
x Fix issue causing freeze despite progress bar dialog
x Display progress dialog when saving a single file or generating data MD5
x Fix export of core CSV

Version 24.05, 2024-05-14
-------------
x Better support of big (but not too big) XML content

Version 24.01, 2024-01-31
-------------
+ Improve accessibility based on FADGI Report on Software Accessibility for Open-Source Digital Preservation Applications
+ Support of dark theme
x Prevent creation of empty xml file

Version 23.04, 2023-04-10
-------------
+ Support of read/write CP437, CP850, CP858, Windows-1252, ISO 8859-1, ISO 8859-2 encoded fields
+ Read/write character encoding in CSET chunk
+ Add options to bypass some EBU R98-1999 (CodingHistory) limitations (ANALOG vs ANALOGUE, comma at EOL, >48k frequencies, ...)
+ Show WAV extended codec identifier (UUID)

Version 22.11, 2022-12-06
-------------
+ Option to export all file metadata in a single xml (Issues #51, #196, #238)
+ Add sample rate data to cue xml (Issue #232)
x Add additional coding history dropdown values conditionally based on selected rules (Issue #223)
x Fix crashes in table view (Issue #226)

Version 21.07, 2021-07-09
-------------
+ Add copy/paste to context menu in file table
+ Add warning if data entry to an xml-based field is not valid xml
+ Give more diagnosis details when data is truncated or contains padding errors.
+ Offer options for either decimal or hexadecimal display in the trace view
+ Support custom values in coding history table (Issue #123)
+ Design improves to XML buttons (Issue #105)
+ Editor for CUE chunks (Issue #107)
+ Option to set a default open/save directory (Issue #186)
+ Updated dialog for unsupported chunks warning (Issue #163)
+ Synchronization between toolbar menu and right-click menu (Issue #187)
+ Reject files with >1 WAVE chunk (Issue #109)
+ Preserve order in table view (Issue #182)
+ Updates to FADGI rules (Issue #211)
+ Support setting timestamps on multiple files (Issue #183, #185)
+ Added checks to data chunk size coherency (Issue #156)
+ Additional dialog during MD5 verification (Issue #203, #204)
+ Support of last version of FADGI rules
+ Preserve sort order in table views
+ Switch to free edit if IRCD field is not standard
+ Menu option to set timestamps for multiples files
+ Custom values input in coding history table dialog
+ "Clear" menu option with multiple fields selected
+ Provide an option to set default open/save directory
+ Check if PCM data size is channel count*sample length aligned
x Fixes for import of XML fields with UNICODE=1
x Fixes to data size validation (Issue #214)
x Fixes to Debian and Ubuntu packages.
x Fix a crash when saving multiple files on exit (Issue #172)
x Fixes to behavior when overwriting data is ok
x Show message when fixing buggy rf64 data size (Issue #193)
x Show error log (if present) after file save operation
x Fix incoherent state after failed save operation (e.g. read only files)
x Fix save all and prevent crash when saving multiples files on exit
x Fix infinite loop with invalid coding history
x Also check fmt_ extension for format

Version 20.08, 2020-08-11
-------------
x Fix compilation issues with non Unicode on Windows (Issue #135)
x Fix crash when scrolling to end of File view (Issue #149)
+ Users can copy/paste between fields (Issue #133)
+ XMP, aXML, iXML is valid XML (Issue #125)
+ Add option to show address and size as decimal values in trace view (Issue #152)
+ Expand verbosity of truncation errors (Issue #95)
+ Expand verbosity of padding errors (Issue #154)
+ Add sorting options for filename column in tables views (Issue #96)
+ Allow numerical table sorting (Issue #97)
+ Handle non-EBU R98 coding history values (Issue #150)
+ Other small codebase improvements

Version 20.05, 2020-05-28
-------------
+ "Fill all open files with this value" option (Issue #110)
+ Toggle md5 value endianness (Issue #78)
+ Show tooltips only over column headers (Issue #99)
+ Incorporate logo (Issue #76)
+ Add single file editor view (Issue #79, #127, #106)
x Fix compilation issues with non-Unicode on Windows (Issue #135)
x Improve ASCII support (Issue #29, #63)
x Add line breaks in FileName field descriptions (Issue #121)
x Fix duplication of CodingHistory headers (Issue #103)
x Stop setting BextVersion field twice (Issue #98)
x Fix occasional crash when saving large number of files (Issue #71)
x Improve file drag and drop events (Issue #83)
x Improve CodingHistory dialog (Issue #122, #124)
+ Add icon to close files (Issue #100)
+ Show available info for invalid files (Issue #93)
+ Add warnings and use icons for errors/warnings (Issue #101)
+ Soften color palette (#126)
+ Transition to year.month-based version numbering

Version 1.3.8, 2019-04-26
-------------
+ Fix crash when saving on close

Version 1.3.7, 2019-04-19
-------------
+ Fix crash with empty fields in XML input
+ Link between ISRC in aXML and ISRC in INFO (EBU recommendation)

Version 1.3.6, 2018-09-10
-------------
+ Loudness CLI parameters

Version 1.3.5, 2018-08-27
-------------
x Fix missing Null Character on LIST-INFO chunks during file writing

Version 1.3.3, 2017-11-21
-------------
+ Add a warning if the user tries to fill content with non ASCII characters
x Fix regression preventing to store bext chunck version 0 or 1

Version 1.3.2, 2017-09-26
-------------
+ Packages for latest versions of Debian, Ubuntu, Fedora, RHEL/CentOS...
+ Update of third party libs (Qt)
+ Update FADGI long name (Digitization to Digital)
x Drag and drop was not working on newest versions of macOS
x Fix sync issues between samples count and translated timestamp
x Unknown loudness was stored as 0x0000 but specs says it must be 0x7FFF
x CodingHistory edition was not working well on macOS
x CodingHistory was not correctly reading history with carriage returns
x Fix crash with some files
x Fix several minor issues with UMID editor

Version 1.3.1, 2014-04-14
-------------
+ Refresh of the UI (upgrading Qt, the UI toolkit, to version 5.2)
+ Added "Clear these values" option in Core view in case of multiple selections
+ The program is signed (no more need to deactivate Gate Keeper)
x RF64 writing was buggy (data chunk size was wrong, sample count was always set to 0)
x TimeReference in the HH:MM:SS.mmm format was not always working
x Skip non-valid files in preferences caused the program to freeze when attempting to open a file with missing padding
x Duplicated line breaks during import in some cases
x Disabled multiple selections in Tech view (not supported)

Version 1.3.0, 2013-04-29
-------------
x Application crash against WaveLab files.
x Incorrect time offset, GPS co-ordinates and labels in UMID dialog.
x Origination time field was set as mandatory (instead of optional) while FADGI rules were selected.
x In "Coding History" dialog, one table entry always existed even after removing all entries in text mode.

Version 1.2.0, 2012-02-24
-------------
+ Tech 3285 v2 support (Loudness)
+ SMPTE ST330-2000 support for UMID edition
+ Improving parsing of bext chunk in order not to discard data from future updates of Tech 3285
+ Updating GUI library to Qt 4.7
+ Mac OS 10.4 support dropped
x axml chunk ID error (was "aXML" instead of "axml")
x MD5 computing was wrong on 64-bit architecture and big endian architecture (PowerPC, Sparc...)
x CodingHistory was not finishing with \r\n (and no error was reported)
x Crash with some RF64 files
x ICMT field validity was not tested
x #7, Crash after edit if too many field are hidden
x #6, Crash during preferences setting with Core view as default view
x #5, last column was missing in table views

Version 1.1.1, 2010-10-10
--------------
+ Qt library updated to 4.7
+ #128, MD5 preference modification + wording
+ MSVC2010 project files
x #129, Table Integrity Error in GUI

Version 1.1.0, 2010-05-31
--------------
+ conformance_point_document.xsd filled
+ #120, Preferences system
+ #112, Change licensing statement
+ #111, Change wording of headline
+ #94, Ability to close many files
+ #95, Tooltips for column headers
+ #96, Progress bar for read and write
+ #121, Preserve bext version value through edits, possibility to set bext version
+ #19, Sortable columns
+ #113, allow selection of BWF MetaEdit log directory from preferences
+ #102, add FLLR when creating bext or list at front of file for first time
+ XML chunks, Import context menu
+ New set of icons
x #106, Spelling: Reset Field Fizes
x #105, Fix broken links to EBU docs in the help pages
x #109, When Core XMl is exported from BWF MetaEdit, but when it's reimported, line breaks are handled unexpectedly.
x #108, Additional line breaks when copy/paste in xml dialog editor (Linux/Mac only)

Version 1.0.0, 2010-01-23
--------------
+ Tagging v0.3.4 as v1.0.0
+ Final license in all source files

Version 0.3.4, 2010-01-22
--------------
+ Contact page
x Crash with some specific CodingHistory text
x Import wasn't updating fields

Version 0.3.3, 2010-01-21
--------------
+ Documentation
x MD5 options  glitches

Version 0.3.2, 2010-01-21
--------------
+ Windows 64 bit version
+ Qt 4.6.1 update (Mac OS X / Windows)
x Originator modification was replacing IARL in all cases, now only if FADGI rules
x MD5 "Verify" didn't update the current view if "Evaluate" was already checked.
x Filler chunks are tested whatever is the case (lower case and upper case)
x Mac OS X: the window bar was not displayed

Version 0.3.1, 2010-01-19
--------------
+ Linux packages (.deb / .rpm)
+ Qt 4.6 update (Mac OS X / Windows)
+ Mac OS X packages (.dmg)

Version 0.3.0, 2010-01-17
--------------
+ CLI code is updated
+ Code cleanup, refactoring, more maintenable
+ License text with all the third-party software licenses
+ Place expanded BEXT and LIST-INFO chunks at the end of the file
x GUI incoherencies (delete button on some fields, options configured only before file opening...)
x BWF UUID was wrongly saved if it contains numbers between A and F

Version 0.2.5, 2010-01-08
--------------
+ #87, Fingerprint (MD5)
x #100, malformed output if "place new or expanded chunks at the end" is selected
x Crash while importing CSV file without enough commas per line

Version 0.2.4, 2010-01-07
--------------
+ #91, remove ICRP
+ #97, new software description 
+ #98, update to FADGI validation rules (Originator)
x #90, right click on ICRD, select set to creation timestamp produces unexpected results
x #93, FADGI validation rules incorrect for OriginationTime (must accept HH)

Version 0.2.3, 2010-01-06
--------------
+ Renamed to BWF MetaEdit
+ #88, change naming of Unmanagedchunks
+ License.html is updated
x #92, Options>Reject if existing data must be overwritten crashes
x #89, crash when right-click on non-active white space
x Last version could not save modified files (Windows only)

Version 0.2.2, 2009-12-22
--------------
+ #86, IDIM dropped
+ #82, some wording are changed
x XML input: handled by tinyXml
x XML output: carriage return encoding issue
x XML output: special characters were not escaped
x #85, Format column was wrong if no-Wave file (other RIFF files are now rejected)
x #84, Problem when sofwtware must write the complete file (Mac/Linux issue)
x #83, Cant save after UMID edit

Version 0.2.1, 2009-12-17
--------------
x OriginationDate/Time: BWF recommendations were wrongly in BWF requirements
x .wav extension filtering was case sensitive
x Crash in writing (Linux/Mac only)
x Color update forcing when rules are changed (Mac issue)
x Date edition: was displaying current date if invalid input, display now text
x context menu for Origination Date/Time wasn't display well formed date/time proposal (Mac issue)
x if 2 fields of a file were modified, there was a warning "file not saved" even if the file was actually saved

Version 0.2.0, 2009-12-15
--------------
+ Improved writing support (no complete file rewrite if not needed)
+ RF64 support (read/write/RIFF to RF64)
+ Resize/Removal/Adaptation of padding chunks (all padding chunks are replaced by a single FLLR chunk)
+ XML conformance point document import
+ XML output/input: handling of carriage return
+ "Format" is renamed "CodecID", new format field ("Wave" or "Wave (RF64)")
+ Tech/bext and Tech/INFO are updated depends of modifications, and color is added
+ Tech: new "UnmanagedChunks" field for mor details about the file
x Inconsistant behaviour for Tech XML field when reloading a file
x Better logic for TimeReference display ("0" or empty string rules)
x OriginationTime: value was not displayed if the value was valid and not 00:00:00
x Reorganization of Log of Operations and errors (was a bit confused in latest version)

Version 0.1.7, 2009-12-11
--------------
+ #75, add warning to xml chunk edit window
+ #74, provide a method to close single file from list
x #76, refreshing display after changing rules
x #73, UMID were always invalid
x #72, Crash when codinghistory rules are enabled and core view (Mac only)
x #71, "skip files with no .wav extension" was not working

Version 0.1.6, 2009-12-11
--------------
+ #66, FAGDI rules
+ #63, Case of columns are normalized
+ #62, Change toolbar wording
+ #60, some INFO fields are dropped
+ #58, "New chunks at the end of the file" options
x #69, XML names were containing invalid characters
x #68, GUI display problem with import
x #67, Global CSV export problem
x #65, TimeReference problem
x #64, Problem when more characters than possible were filled in a GUI field
x #61, Shortcut to "Close files"
x TimeEdit, only HH:MM was display, not seconds (Mac only)

Version 0.1.5, 2009-11-18
--------------
+ timereference display (if no bext, blank, else 0)
+ timereference data entry options
+ change "Keys" to "Core"
+ Report bext version
+ "Close" menu, "Open"/Drag n drop do not close automaticly the current files
+ Undo feature (based on CSV files)
x Error in R99-1999 validation

Version 0.1.4, 2009-11-11
--------------
+ Log: displaying "Tech" view in case of Open error, with info per file
+ Date/Time: better handling of "Set to xxx"
+ Date/Time: combined Date/Time for context menu
+ Keys table: Added contect menu "Clear value"
+ "Fill all open files with this field value": fills history
x bext History is renamed CodingHistory
x History is available in all cases

Version 0.1.3, 2009-11-10
--------------
+ Log: Added "Information+Errors" view
+ Technical view: 2 columns "Information" and "Errors"
+ By default, file are displayed in tech view even if they have a problem, so errors can be viewed easily in the "Error" column of tech view
+ CSV import is fixed
+ Refactoring of some code, for better future maintenance

Version 0.1.2, 2009-11-04
--------------
+ 
